/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2003 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jorm-team@objectweb.org
 *
 */

package org.objectweb.jorm.mapper.fos.mi2xml;

import org.objectweb.jorm.metainfo.api.*;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.mi2xml.lib.BasicMappingDomtreeBuilder;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * BasicRdbMappingDomTreeGenerator extends the BasicMappingDomTreeGenerator class.
 *
 * BasicRdbMappingDomTreeGenerator generates an org.w3c.dom.Document object for
 * a ClassMapping object or a GenClassMapping object.
 */
public class FosDomtreeBuilder extends BasicMappingDomtreeBuilder {
	/**
	 * Builds a new rdb domtree generator.
	 * This class is loaded by a classloader.
	 */
	public FosDomtreeBuilder() {
		// keep empty
	}

	/**
	 * Adds a fos-class-mapping element to a mapping element.
	 * @param   document        an org.w3c.dom.Document object,
	 *          mappingElement  a mapping element,
	 *          classMapping    a <tt>ClassMapping</tt> object.
	 */
	public void processClassMapping(Document document, Element mappingElement,
									ClassMapping classMapping) throws PException {
	}

	/**
	 * Adds a fos-gen-class-mapping element to a mapping element.
	 * @param   document            an org.w3c.dom.Document object,
	 *          mappingElement      a mapping element,
	 *          genClassMapping     a <tt>GenClassMapping</tt> object.
	 */
	public void processGenClassMapping(Document document, Element mappingElement,
									   GenClassMapping genClassMapping) {
	}
}
